commit:     09725985ddbd95cc0b157cda8bb6f26f090664bf
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Mon Aug 15 12:48:45 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Aug 15 19:45:23 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09725985

dev-python/python-fastimport: bump to 0.9.6, py3 support, update upstream

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2085

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-python/python-fastimport/Manifest              |  1 +
 dev-python/python-fastimport/metadata.xml          |  3 ++-
 .../python-fastimport-0.9.6.ebuild                 | 29 ++++++++++++++++++++++
 3 files changed, 32 insertions(+), 1 deletion(-)

diff --git a/dev-python/python-fastimport/Manifest 
b/dev-python/python-fastimport/Manifest
index 4798dc3..aad6bbb 100644
--- a/dev-python/python-fastimport/Manifest
+++ b/dev-python/python-fastimport/Manifest
@@ -1 +1,2 @@
+DIST fastimport-0.9.6.tar.gz 33333 SHA256 
83d0ae7b14f58c90cf56d0bf190d339abbd8bf1be702492c3d15d74c6cd412ab SHA512 
cc38c1218d65ef4a9e3a68d8af3fadf98c7cc0dcd8075b338b8f492d25765bc2fe2247000868fd3c95e1f7f4c2b9a05964ef7b4f9196c2777f6a7941f127f416
 WHIRLPOOL 
e141686590d137f5cef3e1dcd6ad32142ccc5a0fce6c74ce9641cece9d7308154f258cec256d039a54c45884d70879c42cf5297f94fad56a2fae6dac11386add
 DIST python-fastimport-0.9.2.tar.gz 30762 SHA256 
fd60f1173e64a5da7c5d783f17402f795721b7548ea3a75e29c39d89a60f261e SHA512 
8fd9f89267ca88edff94cea7537740431d02680a1eebd085ee376954b47bf5222e7575750895d0d2da246694cdac7a5afe50d857b87c0f36e04eb3511bcbe472
 WHIRLPOOL 
f1d26b8de2180d55f11df3eb937ae3a524b5f55295d264f23a1edd582152cb6ecbc52cba4164e85f5be943c132cb48db0fa3a704eeda5b1c12896233f18d3c76

diff --git a/dev-python/python-fastimport/metadata.xml 
b/dev-python/python-fastimport/metadata.xml
index bcd954a..2fa85af 100644
--- a/dev-python/python-fastimport/metadata.xml
+++ b/dev-python/python-fastimport/metadata.xml
@@ -10,6 +10,7 @@
                <name>Gentoo Bazaar Project</name>
        </maintainer>
        <upstream>
-               <remote-id type="launchpad">python-fastimport</remote-id>
+               <remote-id type="github">jelmer/python-fastimport</remote-id>
+               
<bugs-to>https://github.com/jelmer/python-fastimport/issues</bugs-to>
        </upstream>
 </pkgmetadata>

diff --git a/dev-python/python-fastimport/python-fastimport-0.9.6.ebuild 
b/dev-python/python-fastimport/python-fastimport-0.9.6.ebuild
new file mode 100644
index 0000000..cf34531
--- /dev/null
+++ b/dev-python/python-fastimport/python-fastimport-0.9.6.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+
+inherit distutils-r1
+
+MY_PN="${PN#python-}"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Library for parsing the fastimport VCS serialization format"
+HOMEPAGE="https://github.com/jelmer/python-fastimport";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+       "${PYTHON}" -m unittest fastimport.tests.test_suite \
+               || die "Tests fail with ${EPYTHON}"
+}

Reply via email to